Figure - 0 O Dev #114628
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev# 110125 (New): 0 MKO OBSPO 0 0 0 O
0 O Dev#110654 (O O O In Progress): 0 MKO 0 0050 0 LCDO 0 0 O
0 MK 00050 O LCDO O TC-RID: 1201-010050101 Display DTC O O OO0 O
2022-12-16 10:28 - CD BSP-[1 [J

Status: 0 O Closed Start date: 2022-12-16
Priority: Normal Due date:

Assignee: CDBSP-U O % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version:

Description
History

#1 - 2022-12-16 10:52 - CD BSP-00 O

gobooooooooooooooon

codeld
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/169137

O000000Odispay 0000000000 OLOGO

dmesg | grep DTC_Display,DTC_TP
oooo:

DTC_Display:FSE_DisplayScreen_St=XX
DTC_Display:FSE_BacklightSw_St=XX
DTC_Display:FSE_BacklightGradual_St=XX
DTC_Display:FSE_BrightnessLim_St=XX
DTC_Display:FSE_Backlight_Val=XX
DTC_Display:FSE_ScreenTemp_Val=XX
DTC_Display:FSE_BatteryVol_Val=XX
DTC_Display:FSE_Lock_Fault_Rsp=XX

#2 - 2022-12-19 15:08 - CD BSP-O O

- Assignee set to CD BSP-00 [

#3-2023-01-1311:01 - CD BSP-O0 O

- Subject changed from 0 MKO 0 00500 O LCDO O TC-RID: 1201-01005010 Displayll O O O to O MKO O 0050 O LCDO O TC-RID: 1201-01005010 Display

DTCOODDO

#4 - 2023-02-25 11:05 - CD BSP-0 O
- Assignee changed from CD BSP-[0 O to CD BSP-0I O
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/169137

- % Done changed from 0 to 70

#5 - 2023-02-28 11:23 - 0T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

179318

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:Display: VC1 display/ TP DTC DiagnosticsVVC1 Display/TP DTC DiagnosticsTC-RID: 1201-01005011ssuel D: TS-R-DF-114628Change-Id:
lcc2e604e336985f1b43f4cac761bablee8d53251

#6 - 2023-02-28 11:24 - CD BSP-0 O

- Status changed from O O O In Progress to [0 [0 Resolved

- % Done changed from 70 to 100

#7 - 2023-02-28 11:25 - CD BSP-0 O

- Category set to BSP

#8 - 2023-04-18 20:16 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

194495

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo
r-ftm_v0090

dulei0503@thundersoft.com

BSP:Display: Optimize VC1 lcd DTC diagnosiswhen lcd power-down or data cable disconnect, stopdtc diagnosis checking workqueue.Avoid outputting a large
number of i2¢ error logs. TC-RID: 1201-0100501IssuelD: TS-R-DF-114628Change-Id: 12aee473cdfec8124bf45a43fe139¢9593a49ce8d

#9 - 2023-04-19 13:19 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

194652

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo
r-ftm_v0090

dulei0503@thundersoft.com

BSP:Display: Optimize VC1 lcd DTC diagnosis2When lcd power-down or data cable disconnect, stopdtc diagnosis checking workqueue.Avoid outputting a large
number of i2c error l0gs. TC-RID: 1201-0100501IssuelD: TS-R-DF-114628Change-1d: 12fdf4c21ac6b8ff798d0351bf1b287¢27316d59d

#10 - 2023-05-04 11:10 - IoT scm

2025-07-03

217




Gerrit Merge Information(

1D Project

Branch

Uploader

197361 general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-ftm_v0095

dulei0503@thundersoft.com

BSP:Display: Optimize VC1 lcd DTC diagnosiswhen lcd power-down or data cable disconnect, stopdtc diagnosis checking workqueue.Avoid outputting a large
number of i2c error l0gs. TC-RID: 1201-0100501IssuelD: TS-R-DF-114628Change-1d: 12aee473cdfec8124bf45a43fe139¢9593a49ce8d

#11 - 2023-05-08 15:10 - 10T scm

Gerrit Merge Information(]

1D Project

Branch

Uploader

194479 general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

12aee473cdfec8124bf45a43fe139e9593a49ce8d

BSP:Display: Optimize VC1 lcd DTC diagnosis and driver initl.Adjust max96755 driver initialization process.2.When lcd power-down or data cable disconnect,
stopdtc diagnosis checking workqueue. Avoid outputting alarge number of i2c error logs. TC-RID: 1201-0100501Issuel D: TS-R-DF-114628Change-1d:

#12 - 2023-05-11 10:37 - CD BSP-0 O
- Status changed from O O Resolved to O O Closed

#13 - 2023-06-30 19:25 - IoT scm

Gerrit Merge Information(

1D Project

Branch

Uploader

210929 general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:Display: Fix some black screen issuesl.Fix some black screen issues2.Add reinforcement logTC-RID: 1201-0100501Issuel D: TS-R-DF-114628,
I0VDEV-35971Change-1d: 17cOee7ad64fch2d6fad75427da46e56ed3f07dd6

#14 - 2023-06-30 19:26 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader

211630 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo [ wangxl0510@thundersoft.com
r-release_sorp
BSP:Display: Fix some black screen issuesl.Fix some black screen issues2.Add reinforcement logTC-RID: 1201-0100501IssuelD: TS-R-DF-114628,
I0VDEV-35971Change-Id: 17cOee7ad64fch2d6fad75427dad6e56ed3f07dd6(cherry picked from commit 2ef28a8dab6d63al4bb75d72365ec99c90abb427)

#15 - 2023-07-04 17:31 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

212169

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:Display: Fix the problem of false triggering of DTCL1.Fix the problem of false triggering of DTC2.Add video register check stageTC-RID:
1201-0100501lssuelD: TS-R-DF-114628, IOVDEV-35971Change-Id: 100c76d1059c05ed6e39b1691e949a35a6d34ca85

#16 - 2023-07-05 21:24 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

212458

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:Display: Fix the problem of false triggering of DTC1.Fix the problem of false triggering of DTC2.Add video register check stageTC-RID:
1201-01005011Issuel D: TS-R-DF-114628, IOVDEV-35971Change-1d: 100c76d1059c05ed6e39b1691e949a35a6d34ca85(cherry picked from commit
893335c26hc6c5a0400b33ce172fd22dbffd1f7b)

#17 - 2023-07-06 21:33 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

212967

general/boot_images

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:Display: Modify the video detection solution(1/2)Detect video status information through the registerTC-RID: 1201-0100501IssuelD: TS-R-DF-114628,
I0OVDEV-35971Change-1d: 1db544d81950019b26e481aaa742f20ce5fab765f

#18 - 2023-07-06 21:33 - IoT scm

2025-07-03

47




Gerrit Merge Information(

1D Project Branch Uploader

212968 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:Display: Modify the video detection solution(2/2)1.Detect video status information through the register2.Fix the TP restart and cannot touch the problem3.Fix
the abnormal problem of CONFIG_CRC node valueTC-RID: 1201-0100501IssuelD: TS-R-DF-114628, IOVDEV-35971Change-I1d:
19140683dfecd120450f8bdd1e5f4885860033783

#19 - 2023-07-07 14:05 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader
212656 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:Display: Modify the video detection solution(2/2)1.Detect video status information through the register2.Fix the TP restart and cannot touch the problem3.Fix
the abnormal problem of CONFIG_CRC node valueTC-RID: 1201-01005011ssuelD: TS-R-DF-114628, IOVDEV-35971Change-1d:
19140683dfecd120450f8bdd1e5f4885860033783

#20 - 2023-07-07 14:05 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
212668 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:Display: Modify the video detection solutionDetect video status information through the registerTC-RID: 1201-0100501IssuelD: TS-R-DF-114628,
I0VDEV-35971Change-Id: 1db544d81950019b26e481aaa742f20ce5fab765f

#21 - 2023-07-07 14:47 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader

213100 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp
BSP:Display: Modify the video detection solution(3/2)1.Detect video status information through the register2.Fix the TP restart and cannot touch the problem3.Fix
the abnormal problem of CONFIG_CRC node valueTC-RID: 1201-0100501IssuelD: TS-R-DF-114628, IOVDEV-35971Change-I1d:
1b887h30a892e912915758f98339221a05164f4ec

#22 - 2023-08-16 19:36 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
302325 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:Display: Add vcl heartbeartAdd vcl heartbeartTC-RID: 1201-0100501IssuelD: TS-R-DF-114628Change-Id: lebfc05f4d92e6498fbdbb8158726972975702aa3

#23 - 2023-08-17 19:18 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader

304164 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:Display: Add vcl heartbeartAdd vcl heartbeartTC-RID: 1201-01005011ssuelD: TS-R-DF-114628Change-Id:
lebfc05f4d92e6498fbdbb8158726972975702aa3(cherry picked from commit 69ff4e74b1f6ece939969332d892a91edcf765¢5)

#24 - 2023-10-25 16:41 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
310893 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:Display: VX1 Add video checkVx1 add video checkTC-RID: 1201-01005011ssuel D: TS-R-DF-114628, IOVDEV-42488Change-1d:
18e69512d9fd30502480a8d07e59691f715949e5

#25 - 2023-10-27 02:27 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader

323350 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp_mce
BSP:Display: VX1 Add video checkVx1 add video checkTC-RID: 1201-0100501IssuelD: TS-R-DF-114628, IOVDEV-42488Change-1d:
18669512df9fd30502480a8d07e59691f715949e5(cherry picked from commit 4d1164fb79f80d5ead2a1688377h7283295d623d)

#26 - 2023-11-08 22:35 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader

326548 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP-Display: Add backlight recheck when panel off TC-RID: 1201-0100501IssuelD: TS-R-DF-114628, FIR-809Change-1d:
lad4ed5bb50a9464fb5c82b2199661b49ed31faald

#27 - 2023-11-08 22:36 - 10T scm

Gerrit Merge Information(

1D Project Branch Uploader

326549 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo [ wangxl0510@thundersoft.com

r-release_sorp_mce

BSP-Display: Add backlight recheck when panel off TC-RID: 1201-0100501IssuelD: TS-R-DF-114628, FIR-809Change-I1d:
la44ed5bb50a9464fb5c82b2199661b49ed31faald

Files
HH_VC1(IVCar)_FSE_IIC_Matrix_V0.3_20221214 xlsx 101 KB 2022-12-16 CDBSP-0 O
image001.png 304 KB 2022-12-16 CDBSP-0 O

2025-07-03 1



